1.1

1.1

get /v1/organization-accounts/{account_id}

Description

show a specific account

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_id
required
조직 계정 ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
queryorganization_id
optional
조직 ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querylazy_policy
optional
연결된 정책 조회 여부
Example : True
any of [boolean, null]True

Responses

HTTP CodeDescriptionSchema
200OKAccountShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-accounts/{account_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "account": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2024-12-19 01:09:05.000",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "email": "score@samsung.com",
        "id": "0a36e0746dbf4908acf0357829701381",
        "joined_method": "INVITED",
        "joined_time": "2024-05-17T12:34:56.789Z",
        "login_id": "log-archive@samsung.com",
        "modified_at": "2023-10-15 14:30:00",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-account",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "parent_unit_name": "parent-unit-name",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/account/b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "state": "ACTIVE",
        "type": "MEMBER"
    }
}